using NubLang.Tokenization;

namespace NubLang.Parsing.Syntax;

public abstract record SyntaxNode(List<Token> Tokens);

public record SyntaxTreeMetadata(string ModuleName, List<string> Imports);

public record SyntaxTree(List<DefinitionSyntax> Definitions, SyntaxTreeMetadata Metadata);